Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.imageio.plugins
Class XWindowImageReader

    java.lang.Object
      javax.imageio.ImageReader
          phelps.imageio.plugins.XWindowImageReader

public class XWindowImageReader
extends javax.imageio.ImageReader

Image reader for XBM images, which are used in X Windows.

Version:
  $Revision: 1.1 $ $Date: 2002/10/26 16:50:45 $

Field Summary

Fields inherited from class javax.imageio.ImageReader
`availableLocales, ignoreMetadata, input, locale, minIndex, originatingProvider, progressListeners, seekForwardOnly, updateListeners, warningListeners, warningLocales`

Constructor Summary
`XWindowImageReader(javax.imageio.spi.ImageReaderSpi originatingProvider, java.lang.Object extension)`

Method Summary
`int` | `getHeight(int imageIndex)`
`javax.imageio.metadata.IIOMetadata` | `getImageMetadata(int imageIndex)`
`java.util.Iterator` | `getImageTypes(int imageIndex)`
`int` | `getNumImages(boolean allowSearch)`
`javax.imageio.metadata.IIOMetadata` | `getStreamMetadata()`
`int` | `getWidth(int imageIndex)`
`java.awt.image.BufferedImage` | `read(int imageIndex, javax.imageio.ImageReadParam param)`

Methods inherited from class javax.imageio.ImageReader
`abort, abortRequested, addIIOReadProgressListener, addIIOReadUpdateListener, addIIOReadWarningListener, canReadRaster, checkReadParamBandSettings, clearAbortRequest, computeRegions, dispose, getAspectRatio, getAvailableLocales, getDefaultReadParam, getDestination, getFormatName, getImageMetadata, getInput, getLocale, getMinIndex, getNumThumbnails, getOriginatingProvider, getRawImageType, getSourceRegion, getStreamMetadata, getThumbnailHeight, getThumbnailWidth, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, hasThumbnails, isIgnoringMetadata, isImageTiled, isRandomAccessEasy, isSeekForwardOnly, processImageComplete, processImageProgress, processImageStarted, processImageUpdate, processPassComplete, processPassStarted, processReadAborted, processSequenceComplete, processSequenceStarted, processThumbnailComplete, processThumbnailPassComplete, processThumbnailPassStarted, processThumbnailProgress, processThumbnailStarted, processThumbnailUpdate, processWarningOccurred, processWarningOccurred, read, readAll, readAll, readAsRenderedImage, readerSupportsThumbnails, readRaster, readThumbnail, readTile, readTileRaster, removeAllIIOReadProgressListeners, removeAllIIOReadUpdateListeners, removeAllIIOReadWarningListeners, removeIIOReadProgressListener, removeIIOReadUpdateListener, removeIIOReadWarningListener, reset, setInput, setInput, setInput, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWindowImageReader

    public XWindowImageReader(javax.imageio.spi.ImageReaderSpi originatingProvider,
                              java.lang.Object extension)

Method Detail

### getImageTypes

    public java.util.Iterator getImageTypes(int imageIndex)
                                     throws java.io.IOException

  Specified by:
    `getImageTypes` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### getNumImages

    public int getNumImages(boolean allowSearch)
                     throws java.io.IOException

  Specified by:
    `getNumImages` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### getHeight

    public int getHeight(int imageIndex)
                  throws java.io.IOException

  Specified by:
    `getHeight` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### getWidth

    public int getWidth(int imageIndex)
                 throws java.io.IOException

  Specified by:
    `getWidth` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### getStreamMetadata

    public javax.imageio.metadata.IIOMetadata getStreamMetadata()
                                                         throws java.io.IOException

  Specified by:
    `getStreamMetadata` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### getImageMetadata

    public javax.imageio.metadata.IIOMetadata getImageMetadata(int imageIndex)
                                                        throws java.io.IOException

  Specified by:
    `getImageMetadata` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

### read

    public java.awt.image.BufferedImage read(int imageIndex,
                                             javax.imageio.ImageReadParam param)
                                      throws java.io.IOException

  Specified by:
    `read` in class `javax.imageio.ImageReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD